"use strict";
var vue = require("vue");
var pluginVue_exportHelper = require("../_virtual/plugin-vue_export-helper.js");
const _sfc_main = {
  name: "IconColorQrcode",
  props: {
    prefix: {
      type: String,
      default: "sc"
    },
    useCurrentColor: {
      type: Boolean,
      default: false
    }
  }
};
const _hoisted_1 = /* @__PURE__ */ vue.createElementVNode("rect", {
  x: "3.43",
  y: "3.43",
  width: "7.217",
  height: "7.217",
  rx: "2",
  stroke: "#165DFF",
  "stroke-width": "1.66"
}, null, -1);
const _hoisted_2 = /* @__PURE__ */ vue.createElementVNode("rect", {
  x: "3.43",
  y: "13.352",
  width: "7.217",
  height: "7.217",
  rx: "2",
  stroke: "#165DFF",
  "stroke-width": "1.66"
}, null, -1);
const _hoisted_3 = /* @__PURE__ */ vue.createElementVNode("rect", {
  x: "13.353",
  y: "3.43",
  width: "7.217",
  height: "7.217",
  rx: "2",
  stroke: "#165DFF",
  "stroke-width": "1.66"
}, null, -1);
const _hoisted_4 = /* @__PURE__ */ vue.createElementVNode("path", {
  d: "M13.3532 13.3516L20.5701 13.3516M14.2553 16.3047V20.5732M16.9616 16.3047V20.5732M19.6679 16.3047V20.5732",
  stroke: "#00BBD8",
  "stroke-width": "1.66",
  "stroke-linecap": "round",
  "stroke-linejoin": "round"
}, null, -1);
const _hoisted_5 = [
  _hoisted_1,
  _hoisted_2,
  _hoisted_3,
  _hoisted_4
];
function _sfc_render(_ctx, _cache, $props, $setup, $data, $options) {
  return vue.openBlock(), vue.createElementBlock("svg", vue.mergeProps({
    viewBox: "0 0 24 24",
    fill: "none",
    xmlns: "http://www.w3.org/2000/svg",
    class: [`${$props.prefix}-icon`, `${$props.prefix}-icon-color-qrcode`],
    width: "1em",
    height: "1em"
  }, _ctx.$attrs), _hoisted_5, 16);
}
var index = /* @__PURE__ */ pluginVue_exportHelper(_sfc_main, [["render", _sfc_render]]);
module.exports = index;
